DROP TABLE IF EXISTS ratings;
DROP TABLE IF EXISTS movies;
DROP TABLE IF EXISTS users;

CREATE EXTERNAL TABLE users (
UserID BIGINT,
Gender STRING,
Age INT,
Occupation STRING,
Zipcode STRING
)
ROW FORMAT DELIMITED
FIELDS TERMINATED BY ','
STORED AS TEXTFILE
LOCATION '/user/hadoop/movie_data/users';


CREATE EXTERNAL TABLE movies (
MovieID BIGINT,
Title STRING,
Genres STRING
)
ROW FORMAT DELIMITED
FIELDS TERMINATED BY ','
STORED AS TEXTFILE
LOCATION '/user/hadoop/movie_data/movies';


CREATE EXTERNAL TABLE ratings (
UserID BIGINT,
MovieID BIGINT,
Rating DOUBLE,
Timestamped STRING
)
ROW FORMAT DELIMITED
FIELDS TERMINATED BY ','
STORED AS TEXTFILE
LOCATION '/user/hadoop/movie_data/ratings';

SELECT * FROM users LIMIT 5;
SELECT * FROM movies LIMIT 5;
SELECT * FROM ratings LIMIT 5;
